Forums Search Login Register
Login
Username
Password
New Posts Todays Posts Find Users Posts Unanswered Threads Help Mark Forums as Read

Thread Options  Subscribe to this thread Subscribed Users  Add Reply 
Posts: 1,394
Trophies:
1
Hey there, everybody.
Fairly decent user of Ubuntu, I've been running it since 10.04 and have gotten reasonably familiar with most aspects of day-to-day use. Recently I installed the new Intel graphics package manager, in the hopes that it would improve my experience with my Ironlake Mobile graphics card. At some point during the upgrade process being run by this app, something broke. Now, I have an error telling me that libcairo is broken twice. I have two separate broken dependency errors, and neither one seems fixable. libcairo2 breaks libcairo2:i386, and libcairo2:i386 breaks libcairo2. However, neither can be repaired using the package manager, and when attempting to uninstall either one, I am told that a HUGE amount of other packages depend on it, and will thus also be marked for uninstallation. apt-get install -f doesn't help, apt-get autoremove doesn't help, nothing I have tried works and it is preventing me from updating/installing any other package. What do I do in this situation?
03-15-2013, 02:36 AM
Reply
Subscribe to this thread Subscribed Users  Add Reply 


Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  [ubuntu] Install on laptop with broken screen sevans 4 214 03-12-2020 08:31 PM
Last Post: FrankJScott
  [ubuntu] Can't do anything because of broken python Wilma 1 537 08-08-2018 09:15 AM
Last Post: Monday12
  [all variants] Crosspost: Wiimote broken lkeridunuuue 1 415 06-22-2018 12:54 AM
Last Post: Monday12
  Image broken with 4 monitors, but everything works with 1,2 or 3 AshelyP1955 0 179 06-13-2018 10:32 AM
Last Post: AshelyP1955
  Error: Unable to correct problems, you have held broken packages oharrisonholmesh 1 409 04-03-2018 10:40 PM
Last Post: ylq
  Installing programs and dependencies offline? meloygoodwinq 0 148 03-24-2018 01:46 AM
Last Post: meloygoodwinq
  error: Unable to correct problems, you have held broken packages? DesiraeH1999 0 421 10-21-2016 02:05 AM
Last Post: DesiraeH1999
  "Packages with unmet dependencies" (??) uleilarosariog 0 324 09-10-2015 12:46 PM
Last Post: uleilarosariog
  vlc media player installation issue Package Dependencies cannot be resolved lkeridunuuue 0 615 04-18-2015 09:51 PM
Last Post: lkeridunuuue
  [ubuntu] Error : Could not write bytes : broken pipe after hibernation oharrisonholmesh 0 603 08-05-2014 05:52 AM
Last Post: oharrisonholmesh

Forum Jump:



User(s) browsing this thread: 1 Guest(s)



Contact Us Privacy Policy Top RSS
Forum Software By: MyBB, © 2002-2020